package com.ustadmobile.core.db

import com.ustadmobile.core.db.dao.AgentDao
import com.ustadmobile.core.db.dao.AgentDao_UriResponder
import com.ustadmobile.core.db.dao.ChatDao
import com.ustadmobile.core.db.dao.ChatDao_UriResponder
import com.ustadmobile.core.db.dao.ChatMemberDao
import com.ustadmobile.core.db.dao.ChatMemberDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzAssignmentContentJoinDao
import com.ustadmobile.core.db.dao.ClazzAssignmentContentJoinDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzAssignmentDao
import com.ustadmobile.core.db.dao.ClazzAssignmentDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzAssignmentRollUpDao
import com.ustadmobile.core.db.dao.ClazzAssignmentRollUpDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzContentJoinDao
import com.ustadmobile.core.db.dao.ClazzContentJoinDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzDao
import com.ustadmobile.core.db.dao.ClazzDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzEnrolmentDao
import com.ustadmobile.core.db.dao.ClazzEnrolmentDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzLogAttendanceRecordDao
import com.ustadmobile.core.db.dao.ClazzLogAttendanceRecordDao_UriResponder
import com.ustadmobile.core.db.dao.ClazzLogDao
import com.ustadmobile.core.db.dao.ClazzLogDao_UriResponder
import com.ustadmobile.core.db.dao.CommentsDao
import com.ustadmobile.core.db.dao.CommentsDao_UriResponder
import com.ustadmobile.core.db.dao.ContainerDao
import com.ustadmobile.core.db.dao.ContainerDao_UriResponder
import com.ustadmobile.core.db.dao.ContentCategoryDao
import com.ustadmobile.core.db.dao.ContentCategoryDao_UriResponder
import com.ustadmobile.core.db.dao.ContentCategorySchemaDao
import com.ustadmobile.core.db.dao.ContentCategorySchemaDao_UriResponder
import com.ustadmobile.core.db.dao.ContentEntryContentCategoryJoinDao
import com.ustadmobile.core.db.dao.ContentEntryContentCategoryJoinDao_UriResponder
import com.ustadmobile.core.db.dao.ContentEntryDao
import com.ustadmobile.core.db.dao.ContentEntryDao_UriResponder
import com.ustadmobile.core.db.dao.ContentEntryParentChildJoinDao
import com.ustadmobile.core.db.dao.ContentEntryParentChildJoinDao_UriResponder
import com.ustadmobile.core.db.dao.ContentEntryPictureDao
import com.ustadmobile.core.db.dao.ContentEntryPictureDao_UriResponder
import com.ustadmobile.core.db.dao.ContentEntryRelatedEntryJoinDao
import com.ustadmobile.core.db.dao.ContentEntryRelatedEntryJoinDao_UriResponder
import com.ustadmobile.core.db.dao.ContextXObjectStatementJoinDao
import com.ustadmobile.core.db.dao.ContextXObjectStatementJoinDao_UriResponder
import com.ustadmobile.core.db.dao.CourseAssignmentMarkDao
import com.ustadmobile.core.db.dao.CourseAssignmentMarkDao_UriResponder
import com.ustadmobile.core.db.dao.CourseAssignmentSubmissionAttachmentDao
import com.ustadmobile.core.db.dao.CourseAssignmentSubmissionAttachmentDao_UriResponder
import com.ustadmobile.core.db.dao.CourseAssignmentSubmissionDao
import com.ustadmobile.core.db.dao.CourseAssignmentSubmissionDao_UriResponder
import com.ustadmobile.core.db.dao.CourseBlockDao
import com.ustadmobile.core.db.dao.CourseBlockDao_UriResponder
import com.ustadmobile.core.db.dao.CourseDiscussionDao
import com.ustadmobile.core.db.dao.CourseDiscussionDao_UriResponder
import com.ustadmobile.core.db.dao.CourseGroupMemberDao
import com.ustadmobile.core.db.dao.CourseGroupMemberDao_UriResponder
import com.ustadmobile.core.db.dao.CourseGroupSetDao
import com.ustadmobile.core.db.dao.CourseGroupSetDao_UriResponder
import com.ustadmobile.core.db.dao.CoursePictureDao
import com.ustadmobile.core.db.dao.CoursePictureDao_UriResponder
import com.ustadmobile.core.db.dao.CourseTerminologyDao
import com.ustadmobile.core.db.dao.CourseTerminologyDao_UriResponder
import com.ustadmobile.core.db.dao.DiscussionPostDao
import com.ustadmobile.core.db.dao.DiscussionPostDao_UriResponder
import com.ustadmobile.core.db.dao.DiscussionTopicDao
import com.ustadmobile.core.db.dao.DiscussionTopicDao_UriResponder
import com.ustadmobile.core.db.dao.EntityRoleDao
import com.ustadmobile.core.db.dao.EntityRoleDao_UriResponder
import com.ustadmobile.core.db.dao.ErrorReportDao
import com.ustadmobile.core.db.dao.ErrorReportDao_UriResponder
import com.ustadmobile.core.db.dao.GroupLearningSessionDao
import com.ustadmobile.core.db.dao.GroupLearningSessionDao_UriResponder
import com.ustadmobile.core.db.dao.HolidayCalendarDao
import com.ustadmobile.core.db.dao.HolidayCalendarDao_UriResponder
import com.ustadmobile.core.db.dao.HolidayDao
import com.ustadmobile.core.db.dao.HolidayDao_UriResponder
import com.ustadmobile.core.db.dao.LanguageDao
import com.ustadmobile.core.db.dao.LanguageDao_UriResponder
import com.ustadmobile.core.db.dao.LanguageVariantDao
import com.ustadmobile.core.db.dao.LanguageVariantDao_UriResponder
import com.ustadmobile.core.db.dao.LearnerGroupDao
import com.ustadmobile.core.db.dao.LearnerGroupDao_UriResponder
import com.ustadmobile.core.db.dao.LearnerGroupMemberDao
import com.ustadmobile.core.db.dao.LearnerGroupMemberDao_UriResponder
import com.ustadmobile.core.db.dao.LeavingReasonDao
import com.ustadmobile.core.db.dao.LeavingReasonDao_UriResponder
import com.ustadmobile.core.db.dao.MessageDao
import com.ustadmobile.core.db.dao.MessageDao_UriResponder
import com.ustadmobile.core.db.dao.MessageReadDao
import com.ustadmobile.core.db.dao.MessageReadDao_UriResponder
import com.ustadmobile.core.db.dao.PersonAuth2Dao
import com.ustadmobile.core.db.dao.PersonAuth2Dao_UriResponder
import com.ustadmobile.core.db.dao.PersonDao
import com.ustadmobile.core.db.dao.PersonDao_UriResponder
import com.ustadmobile.core.db.dao.PersonGroupDao
import com.ustadmobile.core.db.dao.PersonGroupDao_UriResponder
import com.ustadmobile.core.db.dao.PersonGroupMemberDao
import com.ustadmobile.core.db.dao.PersonGroupMemberDao_UriResponder
import com.ustadmobile.core.db.dao.PersonParentJoinDao
import com.ustadmobile.core.db.dao.PersonParentJoinDao_UriResponder
import com.ustadmobile.core.db.dao.PersonPictureDao
import com.ustadmobile.core.db.dao.PersonPictureDao_UriResponder
import com.ustadmobile.core.db.dao.ReportDao
import com.ustadmobile.core.db.dao.ReportDao_UriResponder
import com.ustadmobile.core.db.dao.ScheduleDao
import com.ustadmobile.core.db.dao.ScheduleDao_UriResponder
import com.ustadmobile.core.db.dao.SchoolDao
import com.ustadmobile.core.db.dao.SchoolDao_UriResponder
import com.ustadmobile.core.db.dao.SchoolMemberDao
import com.ustadmobile.core.db.dao.SchoolMemberDao_UriResponder
import com.ustadmobile.core.db.dao.ScopedGrantDao
import com.ustadmobile.core.db.dao.ScopedGrantDao_UriResponder
import com.ustadmobile.core.db.dao.SiteDao
import com.ustadmobile.core.db.dao.SiteDao_UriResponder
import com.ustadmobile.core.db.dao.SiteTermsDao
import com.ustadmobile.core.db.dao.SiteTermsDao_UriResponder
import com.ustadmobile.core.db.dao.StateContentDao
import com.ustadmobile.core.db.dao.StateContentDao_UriResponder
import com.ustadmobile.core.db.dao.StateDao
import com.ustadmobile.core.db.dao.StateDao_UriResponder
import com.ustadmobile.core.db.dao.StatementDao
import com.ustadmobile.core.db.dao.StatementDao_UriResponder
import com.ustadmobile.core.db.dao.UserSessionDao
import com.ustadmobile.core.db.dao.UserSessionDao_UriResponder
import com.ustadmobile.core.db.dao.VerbDao
import com.ustadmobile.core.db.dao.VerbDao_UriResponder
import com.ustadmobile.core.db.dao.XLangMapEntryDao
import com.ustadmobile.core.db.dao.XLangMapEntryDao_UriResponder
import com.ustadmobile.core.db.dao.XObjectDao
import com.ustadmobile.core.db.dao.XObjectDao_UriResponder
import com.ustadmobile.door.DoorDaoProvider
import fi.iki.elonen.router.RouterNanoHTTPD
import kotlin.Boolean
import kotlin.String
import kotlin.Unit
import org.kodein.di.DI
import org.kodein.type.TypeToken
import org.kodein.type.erased

public fun RouterNanoHTTPD.UmAppDatabase_AddUriMapping(
  _isPrimary: Boolean = false,
  _mappingPrefix: String,
  _di: DI,
): Unit {
  val _typeToken : TypeToken<UmAppDatabase> = erased()
  addRoute("$_mappingPrefix/PersonDao/.*",
   PersonDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, PersonDao>(){ it.personDao }, _typeToken)
  addRoute("$_mappingPrefix/ClazzDao/.*",
   ClazzDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzDao>(){ it.clazzDao }, _typeToken)
  addRoute("$_mappingPrefix/CourseBlockDao/.*",
   CourseBlockDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseBlockDao>(){ it.courseBlockDao }, _typeToken)
  addRoute("$_mappingPrefix/CourseTerminologyDao/.*",
   CourseTerminologyDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseTerminologyDao>(){ it.courseTerminologyDao }, _typeToken)
  addRoute("$_mappingPrefix/CourseGroupSetDao/.*",
   CourseGroupSetDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseGroupSetDao>(){ it.courseGroupSetDao }, _typeToken)
  addRoute("$_mappingPrefix/CourseGroupMemberDao/.*",
   CourseGroupMemberDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseGroupMemberDao>(){ it.courseGroupMemberDao }, _typeToken)
  addRoute("$_mappingPrefix/ClazzEnrolmentDao/.*",
   ClazzEnrolmentDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzEnrolmentDao>(){ it.clazzEnrolmentDao }, _typeToken)
  addRoute("$_mappingPrefix/LeavingReasonDao/.*",
   LeavingReasonDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, LeavingReasonDao>(){ it.leavingReasonDao }, _typeToken)
  addRoute("$_mappingPrefix/ContentEntryDao/.*",
   ContentEntryDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContentEntryDao>(){ it.contentEntryDao }, _typeToken)
  addRoute("$_mappingPrefix/ContentEntryContentCategoryJoinDao/.*",
   ContentEntryContentCategoryJoinDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContentEntryContentCategoryJoinDao>(){
      it.contentEntryContentCategoryJoinDao }, _typeToken)
  addRoute("$_mappingPrefix/ContentEntryParentChildJoinDao/.*",
   ContentEntryParentChildJoinDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContentEntryParentChildJoinDao>(){
      it.contentEntryParentChildJoinDao }, _typeToken)
  addRoute("$_mappingPrefix/ContentEntryRelatedEntryJoinDao/.*",
   ContentEntryRelatedEntryJoinDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContentEntryRelatedEntryJoinDao>(){
      it.contentEntryRelatedEntryJoinDao }, _typeToken)
  addRoute("$_mappingPrefix/ClazzContentJoinDao/.*",
   ClazzContentJoinDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzContentJoinDao>(){ it.clazzContentJoinDao }, _typeToken)
  addRoute("$_mappingPrefix/ContentCategorySchemaDao/.*",
   ContentCategorySchemaDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContentCategorySchemaDao>(){ it.contentCategorySchemaDao },
      _typeToken)
  addRoute("$_mappingPrefix/ContentCategoryDao/.*",
   ContentCategoryDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContentCategoryDao>(){ it.contentCategoryDao }, _typeToken)
  addRoute("$_mappingPrefix/LanguageDao/.*",
   LanguageDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, LanguageDao>(){ it.languageDao }, _typeToken)
  addRoute("$_mappingPrefix/LanguageVariantDao/.*",
   LanguageVariantDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, LanguageVariantDao>(){ it.languageVariantDao }, _typeToken)
  addRoute("$_mappingPrefix/PersonGroupDao/.*",
   PersonGroupDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, PersonGroupDao>(){ it.personGroupDao }, _typeToken)
  addRoute("$_mappingPrefix/PersonGroupMemberDao/.*",
   PersonGroupMemberDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, PersonGroupMemberDao>(){ it.personGroupMemberDao }, _typeToken)
  addRoute("$_mappingPrefix/EntityRoleDao/.*",
   EntityRoleDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, EntityRoleDao>(){ it.entityRoleDao }, _typeToken)
  addRoute("$_mappingPrefix/PersonPictureDao/.*",
   PersonPictureDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, PersonPictureDao>(){ it.personPictureDao }, _typeToken)
  addRoute("$_mappingPrefix/ContainerDao/.*",
   ContainerDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContainerDao>(){ it.containerDao }, _typeToken)
  addRoute("$_mappingPrefix/VerbDao/.*",
   VerbDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, VerbDao>(){ it.verbDao }, _typeToken)
  addRoute("$_mappingPrefix/XObjectDao/.*",
   XObjectDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, XObjectDao>(){ it.xObjectDao }, _typeToken)
  addRoute("$_mappingPrefix/ReportDao/.*",
   ReportDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ReportDao>(){ it.reportDao }, _typeToken)
  addRoute("$_mappingPrefix/StatementDao/.*",
   StatementDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, StatementDao>(){ it.statementDao }, _typeToken)
  addRoute("$_mappingPrefix/ContextXObjectStatementJoinDao/.*",
   ContextXObjectStatementJoinDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContextXObjectStatementJoinDao>(){
      it.contextXObjectStatementJoinDao }, _typeToken)
  addRoute("$_mappingPrefix/StateDao/.*",
   StateDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, StateDao>(){ it.stateDao }, _typeToken)
  addRoute("$_mappingPrefix/StateContentDao/.*",
   StateContentDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, StateContentDao>(){ it.stateContentDao }, _typeToken)
  addRoute("$_mappingPrefix/AgentDao/.*",
   AgentDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, AgentDao>(){ it.agentDao }, _typeToken)
  addRoute("$_mappingPrefix/LearnerGroupDao/.*",
   LearnerGroupDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, LearnerGroupDao>(){ it.learnerGroupDao }, _typeToken)
  addRoute("$_mappingPrefix/LearnerGroupMemberDao/.*",
   LearnerGroupMemberDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, LearnerGroupMemberDao>(){ it.learnerGroupMemberDao }, _typeToken)
  addRoute("$_mappingPrefix/GroupLearningSessionDao/.*",
   GroupLearningSessionDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, GroupLearningSessionDao>(){ it.groupLearningSessionDao },
      _typeToken)
  addRoute("$_mappingPrefix/ClazzLogAttendanceRecordDao/.*",
   ClazzLogAttendanceRecordDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzLogAttendanceRecordDao>(){ it.clazzLogAttendanceRecordDao },
      _typeToken)
  addRoute("$_mappingPrefix/ClazzLogDao/.*",
   ClazzLogDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzLogDao>(){ it.clazzLogDao }, _typeToken)
  addRoute("$_mappingPrefix/ScheduleDao/.*",
   ScheduleDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ScheduleDao>(){ it.scheduleDao }, _typeToken)
  addRoute("$_mappingPrefix/HolidayCalendarDao/.*",
   HolidayCalendarDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, HolidayCalendarDao>(){ it.holidayCalendarDao }, _typeToken)
  addRoute("$_mappingPrefix/HolidayDao/.*",
   HolidayDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, HolidayDao>(){ it.holidayDao }, _typeToken)
  addRoute("$_mappingPrefix/SchoolDao/.*",
   SchoolDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, SchoolDao>(){ it.schoolDao }, _typeToken)
  addRoute("$_mappingPrefix/XLangMapEntryDao/.*",
   XLangMapEntryDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, XLangMapEntryDao>(){ it.xLangMapEntryDao }, _typeToken)
  addRoute("$_mappingPrefix/SchoolMemberDao/.*",
   SchoolMemberDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, SchoolMemberDao>(){ it.schoolMemberDao }, _typeToken)
  addRoute("$_mappingPrefix/ClazzAssignmentDao/.*",
   ClazzAssignmentDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzAssignmentDao>(){ it.clazzAssignmentDao }, _typeToken)
  addRoute("$_mappingPrefix/ClazzAssignmentContentJoinDao/.*",
   ClazzAssignmentContentJoinDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzAssignmentContentJoinDao>(){ it.clazzAssignmentContentJoinDao
      }, _typeToken)
  addRoute("$_mappingPrefix/ClazzAssignmentRollUpDao/.*",
   ClazzAssignmentRollUpDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ClazzAssignmentRollUpDao>(){ it.clazzAssignmentRollUpDao },
      _typeToken)
  addRoute("$_mappingPrefix/CourseAssignmentSubmissionDao/.*",
   CourseAssignmentSubmissionDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseAssignmentSubmissionDao>(){ it.courseAssignmentSubmissionDao
      }, _typeToken)
  addRoute("$_mappingPrefix/CourseAssignmentSubmissionAttachmentDao/.*",
   CourseAssignmentSubmissionAttachmentDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseAssignmentSubmissionAttachmentDao>(){
      it.courseAssignmentSubmissionAttachmentDao }, _typeToken)
  addRoute("$_mappingPrefix/CourseAssignmentMarkDao/.*",
   CourseAssignmentMarkDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseAssignmentMarkDao>(){ it.courseAssignmentMarkDao },
      _typeToken)
  addRoute("$_mappingPrefix/CommentsDao/.*",
   CommentsDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CommentsDao>(){ it.commentsDao }, _typeToken)
  addRoute("$_mappingPrefix/SiteDao/.*",
   SiteDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, SiteDao>(){ it.siteDao }, _typeToken)
  addRoute("$_mappingPrefix/SiteTermsDao/.*",
   SiteTermsDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, SiteTermsDao>(){ it.siteTermsDao }, _typeToken)
  addRoute("$_mappingPrefix/PersonParentJoinDao/.*",
   PersonParentJoinDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, PersonParentJoinDao>(){ it.personParentJoinDao }, _typeToken)
  addRoute("$_mappingPrefix/ScopedGrantDao/.*",
   ScopedGrantDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ScopedGrantDao>(){ it.scopedGrantDao }, _typeToken)
  addRoute("$_mappingPrefix/ErrorReportDao/.*",
   ErrorReportDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ErrorReportDao>(){ it.errorReportDao }, _typeToken)
  addRoute("$_mappingPrefix/PersonAuth2Dao/.*",
   PersonAuth2Dao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, PersonAuth2Dao>(){ it.personAuth2Dao }, _typeToken)
  addRoute("$_mappingPrefix/UserSessionDao/.*",
   UserSessionDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, UserSessionDao>(){ it.userSessionDao }, _typeToken)
  addRoute("$_mappingPrefix/CoursePictureDao/.*",
   CoursePictureDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CoursePictureDao>(){ it.coursePictureDao }, _typeToken)
  addRoute("$_mappingPrefix/ContentEntryPictureDao/.*",
   ContentEntryPictureDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ContentEntryPictureDao>(){ it.contentEntryPictureDao },
      _typeToken)
  addRoute("$_mappingPrefix/ChatDao/.*",
   ChatDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ChatDao>(){ it.chatDao }, _typeToken)
  addRoute("$_mappingPrefix/ChatMemberDao/.*",
   ChatMemberDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, ChatMemberDao>(){ it.chatMemberDao }, _typeToken)
  addRoute("$_mappingPrefix/MessageDao/.*",
   MessageDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, MessageDao>(){ it.messageDao }, _typeToken)
  addRoute("$_mappingPrefix/MessageReadDao/.*",
   MessageReadDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, MessageReadDao>(){ it.messageReadDao }, _typeToken)
  addRoute("$_mappingPrefix/CourseDiscussionDao/.*",
   CourseDiscussionDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, CourseDiscussionDao>(){ it.courseDiscussionDao }, _typeToken)
  addRoute("$_mappingPrefix/DiscussionTopicDao/.*",
   DiscussionTopicDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, DiscussionTopicDao>(){ it.discussionTopicDao }, _typeToken)
  addRoute("$_mappingPrefix/DiscussionPostDao/.*",
   DiscussionPostDao_UriResponder::class.java, _di,
   DoorDaoProvider<UmAppDatabase, DiscussionPostDao>(){ it.discussionPostDao }, _typeToken)
}
